"use strict";

var joinURL = require("url-join");

var _require = require("../merge.js"),
    merge = _require.merge;

var responseHandlers = require("../response.js");

var _require2 = require("../request.js"),
    encodePath = _require2.encodePath,
    fetch = _require2.fetch;

function copyFile(filename, destination, options) {
    var fetchURL = joinURL(options.remoteURL, encodePath(filename));
    var fetchOptions = {
        method: "COPY",
        headers: merge({
            Destination: joinURL(options.remoteURL, destination)
        }, options.headers),
        agent: options.agent
    };
    return fetch(fetchURL, fetchOptions).then(responseHandlers.handleResponseCode);
}

module.exports = {
    copyFile: copyFile
};