"use strict";

var joinURL = require("url-join");
var responseHandlers = require("../response.js");
var request = require("../request.js");
var encodePath = request.encodePath;
var fetch = request.fetch;

function createDirectory(dirPath, options) {
    var fetchURL = joinURL(options.remoteURL, encodePath(dirPath));
    var fetchOptions = {
        method: "MKCOL",
        headers: options.headers,
        agent: options.agent
    };
    return fetch(fetchURL, fetchOptions).then(responseHandlers.handleResponseCode);
}

module.exports = {
    createDirectory: createDirectory
};